/**
 *  Copyright 2012-2016 Gunnar Morling (http://www.gunnarmorling.de/)
 *  and/or other contributors as indicated by the @authors tag. See the
 *  copyright.txt file in the distribution for a full listing of all
 *  contributors.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.mapstruct.ap.test.nestedproperties.simple;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Mappings;
import org.mapstruct.ap.test.nestedproperties.simple._target.TargetObject;
import org.mapstruct.ap.test.nestedproperties.simple.source.SourceRoot;
import org.mapstruct.factory.Mappers;

@Mapper
public interface SimpleMapper {

    SimpleMapper MAPPER = Mappers.getMapper( SimpleMapper.class );

    @Mappings( { @Mapping( target = "longValue", source = "props.longValue" ),
        @Mapping( target = "intValue", source = "props.intValue" ),
        @Mapping( target = "doubleValue", source = "props.doubleValue" ),
        @Mapping( target = "floatValue", source = "props.floatValue" ),
        @Mapping( target = "shortValue", source = "props.shortValue" ),
        @Mapping( target = "charValue", source = "props.charValue" ),
        @Mapping( target = "byteValue", source = "props.byteValue" ),
        @Mapping( target = "booleanValue", source = "props.booleanValue" ),
        @Mapping( target = "byteArray", source = "props.byteArray" ),
        @Mapping( target = "stringValue", source = "props.stringValue" ) } )
    TargetObject toTargetObject(SourceRoot sourceRoot);

}
